catalog:
  title: STRANDS UOL Simulation Package

templates:
- freestyle
- base

variables:
  keywords:
  - ros
  - simulation
  recipe.maintainer:
  - flier@techfak.uni-bielefeld.de

  repository: https://github.com/warp1337/jailander_systems.git
  sub-directory: strands_uol_sim
  branches:
  - master

  extra-provides:
  - nature: freestyle
    target: strands-uol-sim
  extra-requires:
  - nature: freestyle
    target: strands-navigation
  shell.command: |
    export CMAKE_PREFIX_PATH=${toolkit.dir}
    export ros=`ls  /opt/ros | tail  -1`
    . /opt/ros/\$ros/setup.sh
    export catkin_ws=${toolkit.dir}/catkin_ws/
    mkdir -p \${catkin_ws}/src
    cd \${catkin_ws}/src

    if [ ! -f CMakeLists.txt ]
    then
    catkin_init_workspace
    fi
    if [ ! -d jailander_systems ]
    then
    git clone https://github.com/warp1337/jailander_systems.git && cd jailander_systems && git checkout ${version-name}
    else
    cd jailander_systems && git checkout ${version-name}
    fi

    cd \${catkin_ws}
    catkin_make
    catkin_make install

versions:
- name: 683da99fef
  variables:
    commit: 683da99fef
